
Redmine - Defect #1939

Wiki Formatting within a Word

2008-09-23 20:16 - Karl Heinz Marbaise

Status: Closed Start date: 2008-09-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I have figured out that if you use the bold markers within the wiki it is not possible to have multiple markers within a single word

*This*Must*Be*Bold. So the result of the previous should be that the "This"-Part is bold and the "Be"-Part too.

Observed this by an test conversion from trac to Redmine.

I'm working with

Redmine revision 1900 (from trunk) (development).

ruby 1.8.6 (2008-08-08 patchlevel 286) [i686-linux]

mysql Ver 12.22 Distrib 4.0.18, for suse-linux (i686)

RAILS_GEM_VERSION = '2.1.1' unless defined? RAILS_GEM_VERSION

History

#1 - 2008-09-24 14:05 - Kenneth Hoxworth

This is an issue with textile (the formatting used by Redmine) and not with Redmine itself. Textile's specs itself do not allow the syntax that you used

as an example; see http://textile.thresholdstate.com/ as a resource for Textile syntax.

It does, however, look like Redcloth (the Textile engine Redmine uses) doesn't support the "pure HTML" syntax, e.g.:

no &lt;b&gt;textile&lt;/b&gt;   

This might be something to bring up with the Redcloth team.

#2 - 2008-09-24 14:07 - Kenneth Hoxworth

I take that last part back - the Redcloth version included definitely supports the double equal sign syntax (which got munged above), but Redmine

might not allow direct HTML.

I'm going to shut up now before I make any more incorrect assertions.

#3 - 2008-09-25 21:13 - Karl Heinz Marbaise

That means, the trac-redmine conversion produces a little problem, based on formatting information for particular text (bold).

On the other hand the help text in the description of the Help text might be incorrect too ? May be I'm wrong..

#4 - 2009-01-18 13:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Wiki Formatting within a Word is not (and won't be) supported. Texile doesn't support this.

#5 - 2015-10-01 09:51 - Karel Pičman

According to http://textpattern.com/faq/180/common-textile-questions

Textile 2.0, included in Textpattern 4.0.4 and higher, allows the following syntax:

A[*bold*]word -> “Aboldword”.

So Textile has got support of such a syntax.
